This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CloudMLImages

1 - 1.0

get /v1/cloud-ml/images

Description

cloud ml images

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "copilot_enabled": "",
            "display_version": "",
            "image_id": "",
            "image_name": "",
            "k8s_version": ""
        }
    ],
    "total_count": ""
}